> For the complete documentation index, see [llms.txt](https://docs.ecwid.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ecwid.com/api-reference/rest-api/batch-requests/stop-batch-request.md).

# Stop batch request

<mark style="color:blue;">`POST`</mark> `https://app.ecwid.com/api/v3/{storeId}/batch/cancel-group?ticketId={ticketId}&groupId={groupId}`

{% hint style="info" %}
Stops all remaining non-executed requests inside the batch. These requests receive `COMPLETED` status and therefore are not executed later on.\
\
Already completed requests inside the batch are not affected.
{% endhint %}

### Required access scopes

This request does not require any **access scopes.**

### Path params

All path params are required.

| Param   | Type   | Description     |
| ------- | ------ | --------------- |
| storeId | number | Ecwid store ID. |

### Query params

Some of the query params are **required**.

<table><thead><tr><th width="150">Param</th><th width="133">Type</th><th>Description</th></tr></thead><tbody><tr><td>ticketId</td><td>string</td><td>Internal "ticket ID" assigned to the batch.<br><br><strong>Required</strong></td></tr><tr><td>groupId</td><td>number</td><td>Internal group ID assigned to the batch. <br><br><strong>Required</strong></td></tr><tr><td>escapedJson</td><td>number</td><td>Set  <code>true</code> to get responses for already completed requests included in the batch.<br><br>Responses are returned as escaped JSON string in the <code>escapedHttpBody</code> field. <br><br>By default, responses for API requests included in the batch are not returned.<br><br><strong>Optional</strong></td></tr></tbody></table>

### Response JSON

A JSON object with the following fields:

| Field       | Type   | Description                                                                                                                                             |
| ----------- | ------ | ------------------------------------------------------------------------------------------------------------------------------------------------------- |
| updateCount | number | <p>Defines if the request was successful.<br><br>One of:<br><code>1</code> if the batch was stopped,<br><code>0</code> if the item was not updated.</p> |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ecwid.com/api-reference/rest-api/batch-requests/stop-batch-request.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
